gr-baz Package

Classes | Functions
baz_acars_decoder.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/msg_queue.h>`
`#include <string>`
Include dependency graph for baz_acars_decoder.h:

Go to the source code of this file.

## Classes
class | baz_acars_decoder
| acars a stream of floats. More...

## Functions
baz_acars_decoder_sptr | baz_make_acars_decoder (gr::msg_queue::sptr msgq)
| Return a shared_ptr to a new instance of baz_acars_decoder. More...

## Function Documentation

## ◆ baz_make_acars_decoder()

baz_acars_decoder_sptr baz_make_acars_decoder | ( | gr::msg_queue::sptr | msgq | ) |

Return a shared_ptr to a new instance of baz_acars_decoder.

To avoid accidental use of raw pointers, baz_acars_decoder's constructor is private. baz_acars_decoder is the public interface for creating new instances.